XDoclet Standard Template Namespaces
Antdoc | This tag handler is used to generate Ant documentation
BesEjbRel | This tag handler handles tags needed for Web
Castor |
Class |
Collection | This taghandler puts together some utility tags useful during template processing.
Comment |
Config |
Constructor |
Doc |
Ejb |
EjbBmp |
EjbCmp |
EjbDao |
EjbDataObj |
EjbEntity |
EjbFacade |
EjbHome |
EjbIntf |
EjbMdb |
EjbPersistent |
EjbPk |
EjbRef |
EjbRel |
EjbSec |
EjbSession |
EjbUtilObj |
EjbValueObj |
Externalizer |
Field |
Hibernate | Specific tags handler to make the template easy.
I18n |
Id |
Info |
JBEjbRel |
JBoss |
JBossWeb |
JMX |
JavaBean | Specific tags handler to make the template easy.
Jdo |
Jmx |
MVCSoft |
Mavenplugin | This tag handler is used to generate xdoclet Maven plugin.
Merge |
Method |
MockObject | Tagshandler for mockobject.
Module | This tag handler is kinda special.
Package |
Parameter |
Property | PropertyTagsHandler.java
Resin | Template tags handler for Resin web.xml generation.
ResinEjb | Template tags handler used by resin-ejb.j and resin-relationships.j to add resin cmp-specific configuration (resin.ejb) to the standard deployment descriptor.
StrutsForm |
SunONE |
TagDef | The implementation of TagDef template tag.
Type | Simple tag support class.
Validator | Struts Validator tag handler tags
Web |
WebWork |
WlEjbRel | This tag handler handles tags needed for Web
Xml | XML template support tags.